# Class InMemorySettings

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Represents an in-memory implementation for managing application settings. Provides storage and retrieval of configuration values without persisting them to an external source.

    public class InMemorySettings

Inheritance
  object
  InMemorySettings

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Ttl

    public TtlSettings Ttl { get; set; }

#### Property Value

TtlSettings